<template>
  <div class="white-block">

    <div v-if="!card" class="section__header section__header-with-back">
      <div class="section__header-back" v-on:click="$emit('hideForm')">
        <SVGIcon xlink="next-arrow-20" viewBox="0 0 20 20" rotate="180"/>
      </div>
      <h3 class="section__header-title">{{textPay}}</h3>
    </div>

    <!--<text-way-pay :text="textPay"></text-way-pay>-->
    <!--<hr>-->

    <div class="padding">
      <div class="row icons-payment-and-map">
        <div v-if="params.terminal" class="columns six text-center">
          <a :href="params.terminal" target="_blank">
            <img src="/lk/static/img/map.png" alt="">
            <p>Показать на карте</p>
          </a>
        </div>
        <div v-if="params.pay_online" class="columns six text-center">
          <a :href="params.pay_online" target="_blank">
            <img src="/lk/static/img/money.png" alt="">
            <p>Оплатить</p>
          </a>
        </div>
        <div v-if="params.receipt" class="columns six text-center">
          <a @click="getReceipt(params)" target="_blank" style="cursor: pointer">
            <img src="/lk/static/img/receipt.png" alt="">
            <p>Квитанция</p>
          </a>
        </div>
      </div>
    </div>
    <link-back-service @hideForm="$emit('hideForm')"></link-back-service>
  </div>
</template>

<script>
  import LinkBackService from '@/components/Chunks/AdditionalServices/LinkBackService'
  import loader from '@/base/Loader'
  import Vue from 'vue'
  import TextWayPay from '@/components/Pay/TextWayPay'
  import SVGIcon from "../../SVGIcon/index";
  import env from '@/utils/methods/env';

  export default {
    name: 'MapAndLink',
    data () {
      return {
        type: ''
      }
    },
    components: {SVGIcon, LinkBackService, TextWayPay},
    computed: {
      params () {
        return this.$store.getters.getPaymentMethods(this.type)
      },
      textPay () {
        switch (this.type) {
          case 'russian_post':
            return 'Оплата Почтой России';
          case 'mkb':
            return 'Оплата в МКБ';
          case 'bank_transfer':
            return 'Банковский перевод';
          case 'qiwi':
            return 'Оплата через Qiwi';
          case 'elecsnet':
            return 'Оплата через Элекснет';
          default:
            return ''
        }
      }
    },
    methods: {
      getReceipt (r) {
        if (r.type === 'russian_post') {
          this.downloadReceipt()
        } else {
          const win = window.open('about:blank', '_blank')
          win.document.location.href = r.receipt
        }
      },
      async downloadReceipt () {
        const win = window.open('about:blank', '_blank', 'width=800,height=600')
        this.createLoader(win)
        const data = await this.$backend.getData('/documents/ruspost', env().base, true);
        const newBlob = new Blob([data.data], {type: 'application/pdf'})
        if (window.navigator && window.navigator.msSaveOrOpenBlob) {
          window.navigator.msSaveOrOpenBlob(newBlob)
          return
        }
        const url = window.URL.createObjectURL(newBlob)
        win.document.location.href = url
      },
      createLoader (win) {
        const body = win.document.body
        const Component = Vue.extend(loader)
        const element = new Component().$mount().$el
        body.appendChild(element)
        const style = document.createElement('style')
        style.setAttribute('type', 'text/css')
        // не нужно пугаться этого ужаса
        style.innerText = `#floatingCirclesG{
          position:relative;
          width:125px;
          height:125px;
          margin:auto;
          transform:scale(0.6);
          -o-transform:scale(0.6);
          -ms-transform:scale(0.6);
          -webkit-transform:scale(0.6);
          -moz-transform:scale(0.6);
        }

        .f_circleG{
          position:absolute;
          background-color:rgb(255,255,255);
          height:22px;
          width:22px;
          border-radius:12px;
          -o-border-radius:12px;
          -ms-border-radius:12px;
          -webkit-border-radius:12px;
          -moz-border-radius:12px;
          animation-name:f_fadeG;
          -o-animation-name:f_fadeG;
          -ms-animation-name:f_fadeG;
          -webkit-animation-name:f_fadeG;
          -moz-animation-name:f_fadeG;
          animation-duration:1.2s;
          -o-animation-duration:1.2s;
          -ms-animation-duration:1.2s;
          -webkit-animation-duration:1.2s;
          -moz-animation-duration:1.2s;
          animation-iteration-count:infinite;
          -o-animation-iteration-count:infinite;
          -ms-animation-iteration-count:infinite;
          -webkit-animation-iteration-count:infinite;
          -moz-animation-iteration-count:infinite;
          animation-direction:normal;
          -o-animation-direction:normal;
          -ms-animation-direction:normal;
          -webkit-animation-direction:normal;
          -moz-animation-direction:normal;
        }

        #frotateG_01{
          left:0;
          top:51px;
          animation-delay:0.45s;
          -o-animation-delay:0.45s;
          -ms-animation-delay:0.45s;
          -webkit-animation-delay:0.45s;
          -moz-animation-delay:0.45s;
        }

        #frotateG_02{
          left:15px;
          top:15px;
          animation-delay:0.6s;
          -o-animation-delay:0.6s;
          -ms-animation-delay:0.6s;
          -webkit-animation-delay:0.6s;
          -moz-animation-delay:0.6s;
        }

        #frotateG_03{
          left:51px;
          top:0;
          animation-delay:0.75s;
          -o-animation-delay:0.75s;
          -ms-animation-delay:0.75s;
          -webkit-animation-delay:0.75s;
          -moz-animation-delay:0.75s;
        }

        #frotateG_04{
          right:15px;
          top:15px;
          animation-delay:0.9s;
          -o-animation-delay:0.9s;
          -ms-animation-delay:0.9s;
          -webkit-animation-delay:0.9s;
          -moz-animation-delay:0.9s;
        }

        #frotateG_05{
          right:0;
          top:51px;
          animation-delay:1.05s;
          -o-animation-delay:1.05s;
          -ms-animation-delay:1.05s;
          -webkit-animation-delay:1.05s;
          -moz-animation-delay:1.05s;
        }

        #frotateG_06{
          right:15px;
          bottom:15px;
          animation-delay:1.2s;
          -o-animation-delay:1.2s;
          -ms-animation-delay:1.2s;
          -webkit-animation-delay:1.2s;
          -moz-animation-delay:1.2s;
        }

        #frotateG_07{
          left:51px;
          bottom:0;
          animation-delay:1.35s;
          -o-animation-delay:1.35s;
          -ms-animation-delay:1.35s;
          -webkit-animation-delay:1.35s;
          -moz-animation-delay:1.35s;
        }

        #frotateG_08{
          left:15px;
          bottom:15px;
          animation-delay:1.5s;
          -o-animation-delay:1.5s;
          -ms-animation-delay:1.5s;
          -webkit-animation-delay:1.5s;
          -moz-animation-delay:1.5s;
        }



        @keyframes f_fadeG{
          0%{
            background-color:rgb(0,0,0);
          }

          100%{
            background-color:rgb(255,255,255);
          }
        }

        @-o-keyframes f_fadeG{
          0%{
            background-color:rgb(0,0,0);
          }

          100%{
            background-color:rgb(255,255,255);
          }
        }

        @-ms-keyframes f_fadeG{
          0%{
            background-color:rgb(0,0,0);
          }

          100%{
            background-color:rgb(255,255,255);
          }
        }

        @-webkit-keyframes f_fadeG{
          0%{
            background-color:rgb(0,0,0);
          }

          100%{
            background-color:rgb(255,255,255);
          }
        }

        @-moz-keyframes f_fadeG{
          0%{
            background-color:rgb(0,0,0);
          }

          100%{
            background-color:rgb(255,255,255);
          }
        }`
        win.document.querySelector('head').appendChild(style)
      }
    }
  }
</script>

<style scoped>
</style>
